ruby-rqrcode_0.4.2-3_all.deb


Advertisement

Description

ruby-rqrcode - Ruby library for encoding QRCode (2D barcodes)

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: ruby-rqrcode
Package version: 0.4.2
Package release: 3
Package architecture: all
Package type: deb
Installed size: 67 B
Download size: 12.12 KB
Official Mirror: archive.ubuntu.com
rQRCode is a standalone, pure-Ruby library for generating QRCodes (2D barcodes). The simple interface allows you to create QR Code data structures ready to be displayed in the way you choose.

Alternatives

    Download

    Source package: ruby-rqrcode

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install ruby-rqrcode deb package:
      # sudo apt-get install ruby-rqrcode

    Files

    • /usr/lib/ruby/vendor_ruby/rqrcode.rb
    • /usr/lib/ruby/vendor_ruby/rqrcode/core_ext.rb
    • /usr/lib/ruby/vendor_ruby/rqrcode/qrcode.rb
    • /usr/lib/ruby/vendor_ruby/rqrcode/version.rb
    • /usr/lib/ruby/vendor_ruby/rqrcode/core_ext/array.rb
    • /usr/lib/ruby/vendor_ruby/rqrcode/core_ext/integer.rb
    • /usr/lib/ruby/vendor_ruby/rqrcode/core_ext/array/behavior.rb
    • /usr/lib/ruby/vendor_ruby/rqrcode/core_ext/integer/bitwise.rb
    • /usr/lib/ruby/vendor_ruby/rqrcode/qrcode/qr_8bit_byte.rb
    • /usr/lib/ruby/vendor_ruby/rqrcode/qrcode/qr_bit_buffer.rb
    • /usr/lib/ruby/vendor_ruby/rqrcode/qrcode/qr_code.rb
    • /usr/lib/ruby/vendor_ruby/rqrcode/qrcode/qr_math.rb
    • /usr/lib/ruby/vendor_ruby/rqrcode/qrcode/qr_polynomial.rb
    • /usr/lib/ruby/vendor_ruby/rqrcode/qrcode/qr_rs_block.rb
    • /usr/lib/ruby/vendor_ruby/rqrcode/qrcode/qr_util.rb
    • /usr/share/doc/ruby-rqrcode/README.md
    • /usr/share/doc/ruby-rqrcode/changelog.Debian.gz
    • /usr/share/doc/ruby-rqrcode/copyright
    • /usr/share/rubygems-integration/all/specifications/rqrcode-0.4.2.gemspec

    Changelog

    2015-10-02 - Pirate Praveen <praveen@debian.org> ruby-rqrcode (0.4.2-3) unstable; urgency=medium * Team upload. * Rebuild to generate gemspec for newer rubies/all * Bump compat to 9 * Bump standards version to 3.9.6 (no changes)

    2013-11-30 - Jonas Genannt <jonas.genannt@capi2name.de> ruby-rqrcode (0.4.2-2) unstable; urgency=low * Team upload. [ Cédric Boutillier ] * use canonical URI in Vcs-* fields * debian/copyright: use DEP5 copyright-format/1.0 URL for Format field [ Jonas Genannt ] * d/control - removed transitional packages - bumped standards version to 3.9.5 (no changes needed) - removed version dependency of ruby1.8, changed to ruby

    2012-01-15 - Gunnar Wolf <gwolf@debian.org> ruby-rqrcode (0.4.2-1) unstable; urgency=low * New upstream version

    2011-05-14 - Gunnar Wolf <gwolf@debian.org> ruby-rqrcode (0.3.3-2) unstable; urgency=low * Repackaged following new Gem2deb infrastructure

    2011-02-08 - Gunnar Wolf <gwolf@debian.org> librqrcode-ruby (0.3.3-1) unstable; urgency=low * New upstream release * Standards-version 3.8.4→3.9.1.0 (no changes needed)

    2010-02-15 - Gunnar Wolf <gwolf@debian.org> librqrcode-ruby (0.3.2-3) unstable; urgency=low * Port the package to Ruby 1.9.1 (Closes: #569849) * Standards-version 3.8.3→3.8.4 (no changes needed)

    2009-08-23 - Ryan Niebur <ryanryan52@gmail.com> librqrcode-ruby (0.3.2-2) unstable; urgency=low * Add myself to Uploaders * Debian Policy 3.8.3 * add build dep on ruby1.9 (Closes: #543039)

    2009-06-29 - Gunnar Wolf <gwolf@debian.org> librqrcode-ruby (0.3.2-1) unstable; urgency=low * Initial upload (Closes: #534769)

    Advertisement
    Advertisement